Index: src/port/pipe.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/port/pipe.c,v
retrieving revision 1.4
diff -c -r1.4 pipe.c
*** src/port/pipe.c	18 May 2004 20:18:59 -0000	1.4
--- src/port/pipe.c	7 Jun 2004 19:56:49 -0000
***************
*** 28,51 ****
  	handles[0] = handles[1] = INVALID_SOCKET;
  
  	if ((s = socket(AF_INET, SOCK_STREAM, 0)) == INVALID_SOCKET)
  		return -1;
  
  	memset((void *) &serv_addr, 0, sizeof(serv_addr));
  	serv_addr.sin_family = AF_INET;
  	serv_addr.sin_port = htons(0);
  	serv_addr.sin_addr.s_addr = htonl(INADDR_LOOPBACK);
! 	if (bind(s, (SOCKADDR *) & serv_addr, len) == SOCKET_ERROR ||
! 		listen(s, 1) == SOCKET_ERROR ||
! 		getsockname(s, (SOCKADDR *) & serv_addr, &len) == SOCKET_ERROR ||
! 		(handles[1] = socket(PF_INET, SOCK_STREAM, 0)) == INVALID_SOCKET)
  	{
  		closesocket(s);
  		return -1;
  	}
  
! 	if (connect(handles[1], (SOCKADDR *) & serv_addr, len) == SOCKET_ERROR ||
! 		(handles[0] = accept(s, (SOCKADDR *) & serv_addr, &len)) == INVALID_SOCKET)
  	{
  		closesocket(handles[1]);
  		handles[1] = INVALID_SOCKET;
  		closesocket(s);
--- 28,76 ----
  	handles[0] = handles[1] = INVALID_SOCKET;
  
  	if ((s = socket(AF_INET, SOCK_STREAM, 0)) == INVALID_SOCKET)
+ 	{
+ 		ereport(LOG,(errmsg_internal("pgpipe failed to create socket: %ui",WSAGetLastError())));
  		return -1;
+ 	}
  
  	memset((void *) &serv_addr, 0, sizeof(serv_addr));
  	serv_addr.sin_family = AF_INET;
  	serv_addr.sin_port = htons(0);
  	serv_addr.sin_addr.s_addr = htonl(INADDR_LOOPBACK);
! 	if (bind(s, (SOCKADDR *) & serv_addr, len) == SOCKET_ERROR) 
! 	{
! 		ereport(LOG,(errmsg_internal("pgpipe failed to bind: %ui",WSAGetLastError())));
! 		closesocket(s);
! 		return -1;
! 	}
! 	if (listen(s, 1) == SOCKET_ERROR)
! 	{
! 		ereport(LOG,(errmsg_internal("pgpipe failed to listen: %ui",WSAGetLastError())));
! 		closesocket(s);
! 		return -1;
! 	}
! 	if (getsockname(s, (SOCKADDR *) & serv_addr, &len) == SOCKET_ERROR) 
! 	{
! 		ereport(LOG,(errmsg_internal("pgpipe failed to getsockname: %ui",WSAGetLastError())));
! 		closesocket(s);
! 		return -1;
! 	}
! 	if ((handles[1] = socket(PF_INET, SOCK_STREAM, 0)) == INVALID_SOCKET)
  	{
+ 		ereport(LOG,(errmsg_internal("pgpipe failed to create socket 2: %ui",WSAGetLastError())));
  		closesocket(s);
  		return -1;
  	}
  
! 	if (connect(handles[1], (SOCKADDR *) & serv_addr, len) == SOCKET_ERROR)
! 	{
! 		ereport(LOG,(errmsg_internal("pgpipe failed to connect socket: %ui",WSAGetLastError())));
! 		closesocket(s);
! 		return -1;
! 	}
! 	if ((handles[0] = accept(s, (SOCKADDR *) & serv_addr, &len)) == INVALID_SOCKET)
  	{
+ 		ereport(LOG,(errmsg_internal("pgpipe failed to accept socket: %ui",WSAGetLastError())));
  		closesocket(handles[1]);
  		handles[1] = INVALID_SOCKET;
  		closesocket(s);
